Package com.io7m.jcamera

# Interface JCameraFPSStyleInputType

All Known Implementing Classes:
  `JCameraFPSStyleInput`

public interface JCameraFPSStyleInputType
The type of inputs for FPS cameras.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRotationAroundHorizontal(double r)`
  Add a rotation around the horizontal axis.
  `void`
  `addRotationAroundVertical(double r)`
  Add a rotation around the vertical axis.
  `double`
  `getRotationHorizontal()`
  `double`
  `getRotationVertical()`
  `boolean`
  `isMovingBackward()`
  `boolean`
  `isMovingDown()`
  `boolean`
  `isMovingForward()`
  `boolean`
  `isMovingLeft()`
  `boolean`
  `isMovingRight()`
  `boolean`
  `isMovingUp()`
  `void`
  `setMovingBackward(boolean in_backward)`
  Tell the camera to start/stop moving backward.
  `void`
  `setMovingDown(boolean in_down)`
  Tell the camera to start/stop moving down.
  `void`
  `setMovingForward(boolean in_forward)`
  Tell the camera to start/stop moving forward.
  `void`
  `setMovingLeft(boolean in_left)`
  Tell the camera to start/stop moving left.
  `void`
  `setMovingRight(boolean in_right)`
  Tell the camera to start/stop moving right.
  `void`
  `setMovingUp(boolean in_up)`
  Tell the camera to start/stop moving up.
  `void`
  `setRotationHorizontal(double r)`
  Set the horizontal rotation.
  `void`
  `setRotationHorizontalFactor(double f)`
  Set the horizontal rotation factor.
  `void`
  `setRotationVertical(double r)`
  Set the vertical rotation.
  `void`
  `setRotationVerticalFactor(double f)`
  Set the vertical rotation factor.
  `double`
  `takeRotationHorizontal()`
  Return `getRotationHorizontal()`, setting the rotation to 0.0.
  `double`
  `takeRotationVertical()`
  Return `getRotationVertical()`, setting the rotation to 0.0.

- ## Method Details

  - ### addRotationAroundHorizontal

    void addRotationAroundHorizontal(double r)
    Add a rotation around the horizontal axis.
    Parameters:
      `r` - The rotation amount

  - ### addRotationAroundVertical

    void addRotationAroundVertical(double r)
    Add a rotation around the vertical axis.
    Parameters:
      `r` - The rotation amount

  - ### getRotationHorizontal

    double getRotationHorizontal()
    Returns:
      The current horizontal rotation coefficient.

  - ### setRotationHorizontal

    void setRotationHorizontal(double r)
    Set the horizontal rotation.
    Parameters:
      `r` - The rotation

  - ### getRotationVertical

    double getRotationVertical()
    Returns:
      The current vertical rotation coefficient.

  - ### setRotationVertical

    void setRotationVertical(double r)
    Set the vertical rotation.
    Parameters:
      `r` - The rotation

  - ### isMovingBackward

    boolean isMovingBackward()
    Returns:
      `true` if the user is telling the camera to move backward

  - ### setMovingBackward

    void setMovingBackward(boolean in_backward)
    Tell the camera to start/stop moving backward.
    Parameters:
      `in_backward` - `true` if the camera should be moving

  - ### isMovingDown

    boolean isMovingDown()
    Returns:
      `true` if the user is telling the camera to move down

  - ### setMovingDown

    void setMovingDown(boolean in_down)
    Tell the camera to start/stop moving down.
    Parameters:
      `in_down` - `true` if the camera should be moving

  - ### isMovingForward

    boolean isMovingForward()
    Returns:
      `true` if the user is telling the camera to move forward

  - ### setMovingForward

    void setMovingForward(boolean in_forward)
    Tell the camera to start/stop moving forward.
    Parameters:
      `in_forward` - `true` if the camera should be moving

  - ### isMovingLeft

    boolean isMovingLeft()
    Returns:
      `true` if the user is telling the camera to move left

  - ### setMovingLeft

    void setMovingLeft(boolean in_left)
    Tell the camera to start/stop moving left.
    Parameters:
      `in_left` - `true` if the camera should be moving

  - ### isMovingRight

    boolean isMovingRight()
    Returns:
      `true` if the user is telling the camera to move right

  - ### setMovingRight

    void setMovingRight(boolean in_right)
    Tell the camera to start/stop moving right.
    Parameters:
      `in_right` - `true` if the camera should be moving

  - ### isMovingUp

    boolean isMovingUp()
    Returns:
      `true` if the user is telling the camera to move up

  - ### setMovingUp

    void setMovingUp(boolean in_up)
    Tell the camera to start/stop moving up.
    Parameters:
      `in_up` - `true` if the camera should be moving

  - ### setRotationHorizontalFactor

    void setRotationHorizontalFactor(double f)
    Set the horizontal rotation factor.
    Parameters:
      `f` - The rotation factor

  - ### setRotationVerticalFactor

    void setRotationVerticalFactor(double f)
    Set the vertical rotation factor.
    Parameters:
      `f` - The rotation factor

  - ### takeRotationHorizontal

    double takeRotationHorizontal()
    Return `getRotationHorizontal()`, setting the rotation to 0.0.
    Returns:
      The current horizontal rotation coefficient.

  - ### takeRotationVertical

    double takeRotationVertical()
    Return `getRotationVertical()`, setting the rotation to 0.0.
    Returns:
      The current vertical rotation coefficient.